Skip to main content
Query edge nodes
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

Summary flag

namePattern
string

name pattern

projectName
string

project name

projectNamePattern
string

project name pattern

adminState
enum<string>
default:UNSPECIFIED

admin state of the device

  • CREATED: Entity Created in the controller
  • DELETED: Entity Deleted in the controller
  • ACTIVE: Entity Activated in the controller
  • INACTIVE: Entity Deactivated in the controller
  • REGISTERED: Specific to Edge-node - Edge-node Registered with the controller
  • ARCHIVED: Entity Archived in the controller
Available options:
UNSPECIFIED,
CREATED,
DELETED,
ACTIVE,
INACTIVE,
REGISTERED,
ARCHIVED
next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

fields
string[]

Fields to select: id, name, title, description, tags, utype, projectId, serialno, adminState, modelId, clusterID, baseImage, interfaces, debugKnob

clusterName
string

cluster name

clusterNamePattern
string

cluster name pattern

createdByPattern
string

username pattern who created the device

titlePattern
string

title pattern

Response

A successful response.

Device configuration request payload

summaryByState
Summary is used to store the Summary details · object
required

Summary by state

list
Device Configuration payload summary · object[]
required

device config list

next
Cursor is used as filter in list operation. · object
required

filter next

summaryByTagDistribution
Summary is used to store the Summary details · object

Summary by project distribution